import sys
import joblib

# Ambil input teks dari command line
input_text = sys.argv[1]

# Load model dan vectorizer dari file
data = joblib.load("model/sentiment_model.pkl")
nb_model = data["model"]
vectorizer = data["vectorizer"]

# Transformasi input dan prediksi
X_test = vectorizer.transform([input_text])
y_pred = nb_model.predict(X_test)

print(y_pred[0])
